suspend when closing laptop lid doesn't work

Bug #44058 reported by iGadget on 2006-05-10
254
This bug affects 48 people
Affects Status Importance Assigned to Milestone
gnome-power
In Progress
Medium
Ubuntu
Medium
Unassigned
Nominated for Lucid by tekstr1der
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by tekstr1der

Bug Description

Binary package hint: gnome-power-manager

When choosing the Action 'When laptop lid is closed: suspend' in Power Management Preferences, suspend mode isn't activated when closing the lid of my laptop.
When manually choosing for suspend (through System -> Logout), this works fine (although I keep getting the logout window when I resume, but that might be a different bug).
It makes no difference If I'm on AC or on batteries.

My laptop is a HP Pavilion ZV6000, with ATI drivers 8.24.8 (downloaded from ATI)
Running latest dapper (last updated on 09 may 2006)

iGadget (igadget) on 2006-05-10
description: updated
Kasper Peeters (kasper-peeters) wrote :

I can confirm this, with the same version of gnome-power-manager. Downgrading to the ubuntu2 version makes the problem go away again.

Kasper Peeters (kasper-peeters) wrote :

I take that back: it worked after the downgrade of gnome-power-manager, but then I rebooted and the problem was back again...

Do the problems with hal have anything to do with this?

Changed in gnome-power-manager:
status: Unconfirmed → Confirmed
Matthew Lange (matthewlange) wrote :

Is this the same if you try to suspend normally? If so, it might be the same as bug 43932.

https://launchpad.net/distros/ubuntu/+source/linux-source-2.6.15/+bug/43932

Matthew Lange (matthewlange) wrote :

Ignore my last message, I just realized you said "When manually choosing for suspend (through System -> Logout), this works fine"

Sorry about that.

Kasper Peeters (kasper-peeters) wrote :

It works again with the latest updates, so unless anyone else still has problems I think this bug can be closed.

J0Sb31R (josbeir) wrote :

I just installed 6.06 non beta and got the problem now...

When i manually close choose suspend or hibernate everything works fine but when closing the lid nothing happens...

The wierd part is, when i restart GDM everything works fine, but nut with a fresh boot... i don't get it:)

Miles Lane (miles-lane) wrote :

My laptop is a HP dv1240us. It shows a similar issue. It suspends more or less every other time.
Suspend, in general, seems very unreliable. That is, if I don't wait long enough after resuming from a suspend, suspend won't work. I expect that whenever I hold down the laptop lid switch long enough, the system should suspend. This seems to be not the case, currently. Right now, the lid switch depression event seems to need to occur after certain OS processing has occured. What I would desire is that there be a check for the switch state, rather than for the depression event. I'm not saying that polling needs to occur. At this point, it just looks like the needed check is missing.

Lastly, I have no idea why my laptop would currently only suspend every other attempt. For the most part, the first attempt to suspend works. The next fails, the next works, etc. However, sometimes it's the first attempt that fails.

I would REALLY like to get to the bottom of this and get it fixed!

json684 (json684) wrote :

I have a HP dv1315 and have the same problem. For some extra info, with mine I can look at

/proc/acpi/button/lid/LID/state

and it only changes state once per a close/open. So the state is open, I close the lid, suspend, and open up. And then the state says closed. I close the lid again, suspend, open up, and the state becomes open. Currently I am using the fix described in this thread:

http://ubuntuforums.org/showthread.php?t=406250

But it doesn't actually fix the problem, just alleviate the symptoms.

ddumanis (dave-davedumanis) wrote :

I can confirm this bug on a Dell Latitude D600 running Feisty.

Nic (ntetreau) wrote :

I can confirm this bug on a Sony Vaio Sz680 running gutsy or hardy.

Erik Andrén (erik-andren) wrote :

I can confirm this bug on a Clevo M720R running 64 bit hardy current.

Marts (martyn-honeyford) wrote :

This bug also affects Kubuntu Hardy latest Alpha - Dell Vostro 1500 laptop. Suspend on lid close doesn't work, but choosing it from the logout screen works fine.

Martin Erik Werner (arand) wrote :

I can confirm this for (Gnome) Gutsy & Hardy alpha5, on an Acer Travelmate 2451LCi.

No action is taken on lid close, whether it is set to blank screen, suspend, hibernate, or shutdown.

This did work in linux Mint 4.0, if that is to any help.

Gisli Ottarsson (gisli) wrote :

I have the same problem on an MSI MS-1012 laptop. It fails to suspend cleanly on a lid close but works fine from the logout screen. When I closed the lid I get a beep followed by some activity, but when I reopen the lid I get no video.

/var/log/messages contains:

Mar 20 01:14:35 bifrost gnome-power-manager: (nina) Suspending computer. Reason: The lid has been closed on battery power.
Mar 20 01:14:40 bifrost kernel: [ 249.094321] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Mar 20 01:14:40 bifrost dhcdbd: dhco_input_option: Value -1 cannot be converted to type L
Mar 20 01:14:40 bifrost dhcdbd: dhco_parse_option_settings: bad option setting: old_dhcp_lease_time = -1

but these are the same four lines as I see at the start of a successful suspend (but then I get a lot more output).

Linux version 2.6.24-12-generic (buildd@palmer) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu4)) #1 SMP Wed Mar 12 23:01:54 UTC 2008

midlifecrisis (david-missmop) wrote :

I have the same problem with Gutsy on my sony vaio pcg-z600tek, closing the screen just turns the screen off, but the fn + esc puts the laptop into suspend or hibernation (not sure which)

Robert Persson (ireneshusband) wrote :

Ditto for Thinkpad R61i running Hardy Beta. Suspend works from GUI and by using Fn-F4, but is not triggered by closing the lid.

FAJALOU (fajalou) wrote :

Confirmed, Dell Inspiron 5100.

FAJALOU (fajalou) wrote :

Note: sorry ;
Running Hardy 8.04.1
Also, my laptop will not go to suspend if I have the time in GPM set to x number of minutes. Looks like a different, but remotely similar bug.
I have noticed that when I do suspend, the only way to un-suspend is if i close the laptop lid, and reopen it. I can try anything necessary, but would love to help get this fixed.

dschach (dschach) wrote :

Running Ubuntu 8.10, Inspiron 5150. Suspend/Resume work when explicityly selected from menu. However, using the power management tool to set suspend, suspend does not work when closing the lid or pressing the suspend key.

darylb (darylblanc) wrote :

I also confirm that on Jaunty (9.04) with todays updates (26th Feb 2009), suspend manually works from the battery icon in the notification area, however suspend on closing laptop lid does not work - nothing happens.

darylb (darylblanc) wrote :

I found a possible workaround here:
http://xgwang.wordpress.com/2007/11/26/close-the-lid-suspend-to-memory-on-thinkpad-x40-andubuntu-gutsy/

Basically change action=/etc/acpi/lid.sh to action=/etc/acpi/sleepbtn.sh in /etc/acpi/events/lidbtn

However, it does not work for me. I'm using a Sony Vaio VGN-SZ71WN.
If I run sudo /etc/acpi/sleepbtn.sh manually the laptop suspends, but simply closing the lid does not trigger this.
I changed the action to a different script as a test and it also was not executed.

I have confirmed that the lid close is being detected somehow. /proc/acpi/button/lid/LID0/state is getting updated.
I ran the following script to print out the lid open/closed status once a second, and closed the lid and opened it a few times. The output was correct, the lid was reported as closed at the relevent times.

  while true; do cat /proc/acpi/button/lid/LID0/state; sleep 1; done

So ACPI seems to know that the lid is being closed and opened, but nothing is happening as a result.

I also found the following file, /etc/acpi/events/sony-sleep, which calls the correct suspend script (/etc/acpi/sleepbtn.sh) already, however it is listening for an ACPI key event. When I run acpi_listen and close and open my lid, nothing is logged.

  root@lappy:/etc/acpi/events# cat sony-sleep
  # /etc/acpi/events/sony-sleep

  event=sony/hotkey SPIC 00000001 0000000b
  action=/etc/acpi/sleepbtn.sh

It seems to me there are two possible ways for ACPI to suspend the laptop, either the /etc/acpi/events/lidbtn script, or (in my case) /etc/acpi/events/sony-sleep. Neither are working!

I'm using Ubuntu Jaunty by the way.

Changed in gnome-power:
status: Unknown → New

It seems likely that Bug #376793 is related or even a duplicate of this one..?

Fred van Zwieten (fvzwieten) wrote :

Oke, I might have a hint for this. Manual suspend works for me and suspend by closing the lid sometimes... The state as reported through darylb's procedure, stays "Open", even if the lid is closed. Now, if it doesn't work, I switch to battery power by pulling the plug. Then, lid close detection works again and so does suspend. To much of my own surprise it keeps working when I switch to AC power again. The action for lid close is to suspend when on Battery or AC power.

Changed in gnome-power:
status: New → In Progress
Scott Howard (showard314) wrote :

I'd like to post a work around script form a duplicate bug:

cologic wrote on 2009-05-25: https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/223192/comments/14

http://launchpadlibrarian.net/27149673/suspendhack.sh

I should add that currently I set up a cron script to run the attached suspendhack.sh to check for lid closing and manually trigger, via dbus, suspending.

jad_atl (sebastian-ciorba) wrote :

same problem here on Latitude D629 with Ubuntu 9.04, closing lid doesn't make it hibernate or suspend or anything.

Jonathan (jnnnnn) wrote :

I thought I had this problem, but then I realised:

System->Preferences->Power Management

The default when on AC Power is for a lid close to blank the screen.

Perhaps this default should be changed to suspend?

In any case, changing it to suspend worked for me - the laptop now suspends when the lid is closed.

No,

When i close my lid, the screen does not even blank. All the settings are
correct.

This isn't a settings issue.

Adrian

2009/6/29 Jonathan <email address hidden>

> I thought I had this problem, but then I realised:
>
> System->Preferences->Power Management
>
> The default when on AC Power is for a lid close to blank the screen.
>
> Perhaps this default should be changed to suspend?
>
> In any case, changing it to suspend worked for me - the laptop now
> suspends when the lid is closed.
>
> --
> suspend when closing laptop lid doesn't work
> https://bugs.launchpad.net/bugs/44058
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: In Progress
> Status in “gnome-power-manager” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> When choosing the Action 'When laptop lid is closed: suspend' in Power
> Management Preferences, suspend mode isn't activated when closing the lid of
> my laptop.
> When manually choosing for suspend (through System -> Logout), this works
> fine (although I keep getting the logout window when I resume, but that
> might be a different bug).
> It makes no difference If I'm on AC or on batteries.
>
> My laptop is a HP Pavilion ZV6000, with ATI drivers 8.24.8 (downloaded from
> ATI)
> Running latest dapper (last updated on 09 may 2006)
>
>

Vasily Shmelev (sleephunter) wrote :

Confirm. There is no difference how to setup gnome-power-manager, LID
action doesn't work. (Asus F3JA)

> No,
>
> When i close my lid, the screen does not even blank. All the settings are
> correct.
>
> This isn't a settings issue.
>
>
> Adrian
>
>
>
> 2009/6/29 Jonathan <email address hidden>
>
>> I thought I had this problem, but then I realised:
>>
>> System->Preferences->Power Management
>>
>> The default when on AC Power is for a lid close to blank the screen.
>>
>> Perhaps this default should be changed to suspend?
>>
>> In any case, changing it to suspend worked for me - the laptop now
>> suspends when the lid is closed.
>>
>> --
>> suspend when closing laptop lid doesn't work
>> https://bugs.launchpad.net/bugs/44058
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in Gnome Powermanager: In Progress
>> Status in “gnome-power-manager” package in Ubuntu: Confirmed
>>
>> Bug description:
>> Binary package hint: gnome-power-manager
>>
>> When choosing the Action 'When laptop lid is closed: suspend' in Power
>> Management Preferences, suspend mode isn't activated when closing the lid of
>> my laptop.
>> When manually choosing for suspend (through System -> Logout), this works
>> fine (although I keep getting the logout window when I resume, but that
>> might be a different bug).
>> It makes no difference If I'm on AC or on batteries.
>>
>> My laptop is a HP Pavilion ZV6000, with ATI drivers 8.24.8 (downloaded from
>> ATI)
>> Running latest dapper (last updated on 09 may 2006)
>>
>>
>

Valde_91 (claudio-brenni) wrote :

I have the same problem with my HP Mini. ACPI states correctly the state of the LID, but when I close the LID, nothing happens (no stand-by or blank screen). But I've noticed that if I put manually in hibernation my computer, when I turn it on again everything is working perfectly! My computer is going in stand-by when I close the LID.

Bye Valde

AlexW (alex.wedensky) wrote :

I'd like to add my experiences also, with Karmic on an HP laptop dv4000 series. The described behavior is 100% reproducible.

On fresh boot, "Close Lid" doesn't do anything, lid state reported as "open" (even when it's closed). Suspending manually (via menu, or "sleep" button -- Fn F5 on this laptop) works as expected, and opening the lid resumes the laptop. After this event, closing the lid causes suspending.

Another interesting thing is that going from battery to a/c power sometimes causes suspending (battery charged to 100%, and Power Manager set up to actually hibernate if battery power is critically low).

Oded Arbel (oded-geek) wrote :

On my system - Thinkpad T61 everything worked fine until the GNOME update yesterday (that was also supposed to solve Bug #389857) after which closing the laptop lid never suspends the system. Using the "suspend command" works perfectly.

Additionally when I open "Power Management Preferences" I see that the behavior for "when laptop lid is closed" is set to "Shutdown" for both "on AC" and "on battery", and I can't change it - if I change it and press close, when I open the preferences dialog again it is still set to "shutdown".

I'm not sure if this is the same bug.

Scott Howard (showard314) wrote :

Oded, I believe tekstr is right - you can't suspend because GPM is not properly assigning the gconf values for the power management actions. The author of GPM is currently working on it here:
http://bugzilla.gnome.org/show_bug.cgi?id=590991

Once this is done we can work on the inhibit bug (btw, I was testing the inhibit applet on a desktop - when the inhibit applet is"inhibiting" it will stop all power management actions based on timers - but if you choose "shutdown" or "hibernate" from GPM, it will still shutdown or hibernate)

l.sabatini (l-sabatini) wrote :

i quote this bug. in my hp 530 laptop lid switch doesn't work anymore from ubuntu 9.04. earlier versions didn't affected.
lid status doesn't change in /proc/acpi/button/lid/C20C/state. the state remain "open" when i press manually the switch...

tekstr1der (tekstr1der) wrote :

Any progress on this bug? Still not able to suspend via lid close on Karmic alpha 6 with updates. Suspending works as expected initiated through hotkey press and also via panel menu. Approaching beta, this is a regression from previous releases. Suspend on lid close was working in Intrepid and Jaunty on this same machine.

Ernst (ernst-blaauw) wrote :

I just noticed closing the lid does not initiate a suspend on Karmic beta. I have an Asus A8J. It works fine if I select suspend from the session menu.

Vasily Shmelev (sleephunter) wrote :

This is not a solution: doesn't matter what very option is selected, lid
close action simply not intercepted by gnome-power-manager. This also
affects Karmic alfa 6 BTW.

29 июня, 2009 9:00 AM пользователь "Jonathan" <email address hidden> написал:

I thought I had this problem, but then I realised:

System->Preferences->Power Management

The default when on AC Power is for a lid close to blank the screen.

Perhaps this default should be changed to suspend?

In any case, changing it to suspend worked for me - the laptop now
suspends when the lid is closed.

--
suspend when closing laptop lid doesn't work
https://bugs.launchpad.net/bugs/44058
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in Gnome Powermanager: In Progress
Status in "gnome-power-manager" package in Ubuntu: Confirmed

Bug description:
Binary package hint: gnome-power-manager

When choosing the Action 'When laptop lid is closed: suspend' in Power
Management Preferences, suspend mode isn't activated when closing the lid of
my laptop.
When manually choosing for suspend (through System -> Logout), this works
fine (although I keep getting the logout window when I resume, but that
might be a different bug).
It makes no difference If I'm on AC or on batteries.

My laptop is a HP Pavilion ZV6000, with ATI drivers 8.24.8 (downloaded from
ATI)
Running latest dapper (last updated on 09 may 2006)

Changed in gnome-power-manager (Ubuntu):
status: Confirmed → Triaged
tekstr1der (tekstr1der) wrote :

This is working as expected for me since karmic beta.

I have upgraded my HP mininote to Karmic beta, and it is *still not working*. Hmm, interesting to note that it apparently does for the previous user though. How odd!

Vincenzo (v-dellacorte) wrote :

Karmic beta 64amd on dell xps m1330 suspend and hybernate still not working only switch off and block display. Home folder and swap encrypted

tags: added: kernel-suspend
tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Changed in gnome-power-manager (Ubuntu):
status: Triaged → Invalid
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → Medium
affects: gnome-power-manager (Ubuntu) → ubuntu
71 comments hidden view all 151 comments
iGadget (igadget) wrote :

Jeremy,

Unfortunately, I simply can't tell. A few days ago the both the wired
and wireless interfaces stopped working on my laptop (not sure if this
was caused by an update, but I suspect so). Haven't had the time yet to
re-install. The interfaces are fine though, when I boot from a Live CD
they work flawlessly. But that's a different issue I'm not going to
bother you with any further :)

I'll update my findings here as soon as I've reinstalled the OS.

On wo, 2010-04-28 at 14:14 +0000, Jeremy Foshee wrote:
> Matthijs,
> Have any of the latest rounds of updates affected this at all for you?
>
> Thanks!
>
> ~JFo
>

xrayA4T (xraya4t) wrote :

My laptop is suspending on lid close witht he latest updates

>My laptop is suspending on lid close witht he latest updates

I have latest updates. Still doesn't work.

Same problem. I have latest updates. Still doesn't work. HP mini 5101 - Ubuntu 10.0.4

iGadget (igadget) wrote :

On this beautiful day where our beloved Lucid Lynx was finally released
into the wild, I regret to inform you that after re-installing Lucid
from the RC live CD and running all the updates, suspending when closing
the laptop lid of my HP Pavilion still doesn't work reliably. See my
previous post on the 'works-one-time-and-one-time-only'-behaviour - no
change in that.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Manoj Iyer (manjo) wrote :

I was able to re-create this on an HP mini 5101. But this looks like a valid bug in gome power manager. Kernel seems to suspend/resume ok.

#sudo su

#echo '+180' > /sys/class/rtc/rtc0/wakealrarm

#pm-suspend

This should cause your laptop to suspend for 3minutes and then resume automatically.

rules out a kernel issue.

Closing the laptop lid however does not suspend the laptop. I checked the power-management settings and it is set to suspend on lid close.

Jeremy Foshee (jeremyfoshee) wrote :

Marking the kernel task invalid per Manjo's investigation.

~JFo

Changed in linux (Ubuntu):
status: Triaged → Invalid
Scott Howard (showard314) wrote :

I don't have this hardware (so I can't recreate this bug), but from the comments it appears that it may still be a kernel issue.Manoj's testing just looked at whether or not kernels suspend works. The bug reported here by many commentors is that the state of /proc/acpi/button/lid/LID/state is incorrect. That would be a kernel bug.

@Manoj Iyer

It is definitely a kernel bug in my case, because issue fixed as i switched to latest (2.6.34-rc6) kernel.

John McCombs (jdm-inmap) wrote :

 was able to reproduce @Manoj Iyer's result with the 10.04 release version also on a HP5101

  echo '+180' > /sys/class/rtc/rtc0/wakealrarm
  pm-suspend

also

  cat /proc/acpi/button/lid/C1D2/state

correctly shows the lid state

"cat /proc/acpi/button/lid/C1D0/state"
correctly shows the lid state on HP mini 5101

when i give "pm-suspend" before i close lid, suspend works correctly one time

zoomy942 (zoomy942) wrote :

So it is related to kernel? I will upgrade mine to see if it's resolved.

Selden Deemer (libssd) wrote :

This annoyance has always existed on my Acer AA1 D150 with Jaunty, as well as with an experimental upgrade to Karmic. Power manager is set to suspend when laptop lid is closed. The screen turns off, and the WiFi indicator light shuts off, but the power switch light remains green, and the fan keeps running; if put into a sleeve, the machine quickly heats up and runs the battery down. In addition, something causes memory to be used up; if left in this state for several hours, the machine is almost unresponsive when the lid is opened because all RAM has been committed, and much of the (2gb) of swap space is being used. None of the power manager settings change this behavior

If suspend is invoked manually (whether through the Fn-F4 key, the "switch" icon at the right of the upper panel, or the hard power key), everything works as expected.

zoomy942 (zoomy942) wrote :

@ Alexander Strekalov

Should I allow update manager to see early release software to get that kernel? I havent seen any movement on this in a while, so i will try to apply fixes listed here myself.

2.6.34 built from source solved the problem for me.

zoomy942 (zoomy942) wrote :

@ Ryan - that sounds like more than just adding the pre-release check box in my package manager. Any tips? - and i'll test it too

I don't know if anyone has packaged 2.6.34. If you want to build it yourself:

1. Install kernel-package
2. Download 2.6.34 full source from kernel.org
3. tar jxf linux-2.6.34.tar.bz2
4. cd linux-2.6.34
5. cp /boot/config-<your current kernel> .config <-- leading dot is important
6. make oldconfig < /dev/nul
7. make menuconfig, disable Kernel Hacking->Kernel debugging (or your resulting images will be hundreds of megs)
7. CONCURRENCY_LEVEL=2 fakeroot make-kpkg --revision=1 --bzimage --initrd kernel_image kernel_headers
8. Install the kernel packages (may have to edit /var/lib/dpkg/info/linux-image-2.6.34.postinst and replace $kimage = "bzImage" with "vmlinuz", then apt-get -f install)
9. Ensure /boot/initrd-2.6.34 exists, if not, update-initramfs -u -k 2.6.34
10. Ensure update-grub is run

Then reboot and hope new kernel works.

That would be /dev/null not /dev/nul

It also fixed in latest 2.6.32-22-generic lucid kernel update for me. 2.6.34 also works. I switched back to Ubuntu kernel after fix.

zoomy942 (zoomy942) wrote :

I updated to the 2.6.34 and in fact it works great. good call. I then had trouble recompiling my broadcom drivers so i went back to 2.6.32 until tomorrow. so on the hp 5101, the 2.6.32 kernel does not work... but 2.6.34 works great.

Jeremy Foshee (jeremyfoshee) wrote :

It is unnecessary to build from source in most cases. Please see the link I provided above https://wiki.ubuntu.com/KernelMainlineBuilds for mainline built kernels. These are built for all RC level and above upstream kernels.

If the kernels at the above locations are not working as they are supposed to, then that is something that should be brought to my attention.

Thanks.

~JFo

zoomy942 (zoomy942) wrote :

So that confirms it but I'm not sure how to explain it. On kernel 2.6.32, the lid DOES NOT work. however on kernel 2.6.33 and 2.6.34 (tested both) the lid will correctly function, fixing any issues, but then my broadcom drivers will not reinstall. I get an error 10 when I reinstall the driver. I'm not sure what that happens, but the bug looks kernel related.

Xiang (hsiang-liu) wrote :

$ uname -r
2.6.32-22-generic

HP mini 5101+ubuntu 10.04 netbook edition
still not work

I have the same problem Compaq/HP NC6400.
 - Suspend and Hibernate all worked fine in 9.10
 - Upgrade to 10.04 - I can manually select shutdown or hibernate and both work fine
 - Upgrade to 10.04 - when I close lid nothing happens, system remains in powered up state

Attempts to follow suggested forum solutions such as:
 - edits to ACPI = http://www.amitsrivastava.net/2008-03-23-hibernate-suspend-resolved-ubuntu-gutsy-nvidia-dell-vostro/
 - edits to GRUB = http://www.uluga.ubuntuforums.org/showthread.php?p=9440990#post9440990
and many other suggestions here:
 - http://ubuntuforums.org/showthread.php?t=318808
here:
 - http://ubuntuforums.org/showthread.php?t=406250
and here:
 - http://ubuntuforums.org/showthread.php?t=284994

with no success!!!
this worked fine before 10.04! what happened!!!

Some additional details after playing with this for a few more days:

In 2.6.31.20 (and earlier 10.04. 9.10, and 9.04 kernels), my on a hp nc6400 all Power Management features functioned correctly.
(when lid closed, system would suspend or hibernate as selected in PM options)

In 2.6.32-22 (and 2.6.32-23) when lid is closed, nothing happens when suspend or hibernate as selected in PM options.
(fan hard drive wireless all remain powered and running)
When lid is reopened, system is still running, log in screen is not presented as expected.

Bartosz Wucke (bwucke) wrote :

Asus eeePC 900, Ubuntu 10.04 LTS.
Linux 2.6.32-23-generic-pae #37-Ubuntu SMP Fri Jun 11 09:26:55 UTC 2010 i686 GNU/Linux
This started happening after the standard update from last week or so. I ran the pending updates about two days ago and the netbook doesn't suspend on lid closed any more.

Don't treat this bug lightly please. People are used to closing their laptops and putting them in briefcases or such (without airflow) trusting the suspend mechanism to work correctly. Yesterday as I removed my netbook from my bag, it was almost burning me, the plastic was smelling from heat, and it wouldn't turn on. Today again I'm typing this on hot keyboard. This model has good thermal lockdown, but in other cases you can lead to hardware damage or fire.

Changed in gnome-power:
importance: Unknown → Medium
notmistaken (andrew-easson) wrote :

I'm using Ubuntu 10.04.1 LTS with a Toshiba Satellite L300 laptop and i find that the laptop does not suspend when i close the lid after a reboot. If I manually suspend the machine and resume it and then close the lid it works and continues to work until the next reboot

Péter (pepe-ezkell) wrote :

+1 acer travelmate 5520 lid close not work, latest Maverick

Kristian Kißling (kkissling) wrote :

IBM Thinkpad X60 doesn't suspend anymore when closing the lid. I use 10.04 with the latest updates.

Joseph Dawson (jsdawson22) wrote :

I've got this problem too, on a Toshiba Satellite A305D. Running Ubuntu 10.04.

Joseph Dawson (jsdawson22) wrote :

Should add that it suspends properly when I suspend manually.

Scott Farrar (dsfarrar) wrote :

I have this problem as well: suspend does not work when closing laptop lid, but does work when manually selected.

I am running Ubuntu 10.10, on an HP/Compaq nc6220.

I'd like to second comment #137, this bug is an important safety issue -- laptops can easily overheat if they are not properly suspended and mistakenly put into an cushioned/insulating carrying bag.

Major, major bragging points to the developer that is able to fix this issue!

vahagn (vahag-1985) wrote :

I confirm.
I have noticed that when suspend manually laptop does not start after pressing the power button. The only way to turn laptop on is to push the power button for a long, thus completely disabling it and enable again.
Ubuntu 10.10, on an HP/Compaq 6720s

vahagn (vahag-1985) wrote :

HI,

I have noticed that laptop doesn't suspend ONLY after restart and on AC power. Unplugging the power cable and then closing the lid will put laptop to suspend. After that the laptop will suspend also on AC power. However, the problem appears again after restart/shutdown.

Gurmeet (gurmeet1109) wrote :

+me-too on a HP DV 6500.

# uname -a
Linux 2.6.35-23-server #40-Ubuntu SMP Wed Nov 17 23:31:10 UTC 2010 x86_64 GNU/Linux
All latest updates and upgrades applied.

I have installed 'laptop-mode-tools' and it has anyways messed up all my suspend functionality, so can't say where the issue is, whether suspend is not being called or when called, it's not doing what we expect it to do.

I can confirm that when the lid is closed, only the display gets temporarily off. The rest of all the peripherals continue to run. When lid is opened, nothing ever happened. No login prompt, no nothing.

Clara (claracagigal) wrote :

hp compaq 6720s, ubuntu 10.04 LTS, kernel 2.6.32-27-generic #49-Ubuntu.
On power manager I have selected:
On ac power, when close lid : suspend
On battery power, when close lid: suspend

On ac power, when I close lid, nothing happens, computer still running
On battery power, when I close lid, computer suspends normally.
Now I have to suspend from command line: sudo pm-suspend, which works well

When I was on karmic koala 9.10, suspension worked both on ac and battery power.

cement_head (andorjkiss) wrote :

Hello,

  I also have this bug, but its intermittent. Sometimes the lid can cause suspend, sometimes it can't.

Will try laptop-mode-tools.

- CH

cement_head (andorjkiss) wrote :

Okay, enabling laptop-mode-tools solves my suspend/resume & hibernate/thaw issues. Question: Why was laptop-mode-tools deprecated in 10.04.1 LTS for older machines?

- CH

Kitserve (ubuntu-kitserve) wrote :

Toshiba Satellite L305 here on Xubuntu 11.04, suspend works manually but not via lid close. I've tried the workarounds of (a) modifying /etc/acpi/events/lidbtn to call sleepbtn.sh directly and (b) installing laptop-mode-tools. In both cases suspend via lid close worked, but after rebooting the machine it stopped working.

I'm not convinced that this is a duplicate of bug #89860, as it does work on occasion, so the lid status can't always be reported as open. Either way I can't believe the bug is still around after over 5 years...

JJK (sonicthehedgehog) wrote :

I have exactly the same problem as the bug describes,

suspend works find
only my laptop (hp compaq nc6120) seems not to detect lid closing

is there a fix yet,
im not very experienced with programming and linux yet
so if there is a fix please tell me clearly what to do

JJK

Displaying first 40 and last 40 comments. View all 151 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.